/* Указываем box sizing */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Убираем внутренние отступы */
ul[class],
ol[class] {
  padding: 0;
}

/* Убираем внешние отступы */
body,
h1,
h2,
h3,
h4,
p,
ul[class],
ol[class],
li,
figure,
figcaption,
blockquote,
dl,
dd {
  margin: 0;
}

/* Выставляем основные настройки по-умолчанию для body */
body {
  min-height: 100vh;
  scroll-behavior: smooth;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
}

/* Удаляем стандартную стилизацию для всех ul и il, у которых есть атрибут class*/
ul[class],
ol[class] {
  list-style: none;
}

/* Элементы a, у которых нет класса, сбрасываем до дефолтных стилей */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

/* Упрощаем работу с изображениями */
img {
  max-width: 100%;
  display: block;
}

/* Указываем понятную периодичность в потоке данных у article*/
article > * + * {
  margin-top: 1em;
}

/* Наследуем шрифты для инпутов и кнопок */
input,
button,
textarea,
select {
  font: inherit;
}

/* Удаляем все анимации и переходы для людей, которые предпочитай их не использовать */
@media (prefers-reduced-motion: reduce) {
  * {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}






*{
    margin: 0;
    padding: 0;
}

.mobiles{
    display: none;
}

body {
    font-family: 'Arial';	
    color: #fff;
    background-color: #262626;
}

.Logo, .Top_menu{
    display: inline-block;
    vertical-align: middle;
    margin-right: 35px;
}

header{
    display: flex;
    justify-content: center;
}

.Top_menu li{
    display: inline-block;
    vertical-align: middle;
    margin-right: 35px;
}

.Top_menu a{
    font-family: arial;
    font-size: 25px;
    color: #fff;
    text-decoration: none;
    vertical-align: middle;
}

.Logo h1{
    font-family: arial;
    font-size: 40px;
    color: #fff;    
    vertical-align: middle;
}

.Top_menu a:hover{
    color: #f1d500;
}

.image-flex{
    padding-top: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.All_header_menu{
    padding-top: 50px;
}

.image-flex2{
    padding-top: 85px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-right: 50px;
}

.main_text{
    font-family: 'Arial';
    font-weight: 700;
    padding-top: 70px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-bottom: 0px;
}

.text{
    font-size: 45px;
}

.image-flex3{
    padding-top: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.image-flex4{
    padding-top: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.image-flex5{
    padding-top: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.image-flex6{
    padding-top: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.button{
    position: relative;
    color: #000;
    -webkit-text-stroke-color: #fff;
    -webkit-text-fill-color: #000;
    -webkit-text-stroke-width: 0.02em;
    font-weight: bolder;
    display: inline-block;
    text-transform: uppercase;
    text-decoration: none;
    font-size: 33px;
    padding: 15px 30px;
    letter-spacing: 4px;
    overflow: hidden;
    transition: 0.2s;
}

.div_download_button{
    font-weight: 700;
    padding-top: 70px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.button__line{
    position: absolute;
    display: block;
}

.button__line--top{
    top: 0;
    left: -100%;
    width: 100%;
    height: 2px;
    background:linear-gradient(90deg, transparent, #f1d500);
}

.button:hover .button__line--top{
    left: 100%;
    transition: 1s;
    transition-delay: 0.25s;
}

.button__line--bottom{
    bottom: 0;
    right: -100%;
    width: 100%;
    height: 2px;
    background:linear-gradient(270deg, transparent, #f1d500);
}

.button:hover .button__line--bottom{
    right: 100%;
    transition: 1s;
    transition-delay: 0.25s;
}

.button__line--left{
    bottom: -100%;
    left: 0;
    width: 2px;
    height: 100%;
    background:linear-gradient(0deg, transparent, #f1d500);
}

.button:hover .button__line--left{
    bottom: 100%;
    transition: 1s;
    transition-delay: 0.25s;
}

.button__line--right{
    top: -100%;
    right: 0;
    width: 2px;
    height: 100%;
    background:linear-gradient(180deg, transparent, #f1d500);
}

.button:hover .button__line--right{
    top: 100%;
    transition: 1s;
    transition-delay: 0.25s;
}

.button:hover{
    box-shadow: 0 0 10px #f1d500, 0 0 40px #f1d500;
    background-color: #f1d500;
    transition-delay: 1s;
}

@media(max-width: 709px){
    .mobiles{
   display: block;
   }
}